임의의 코드를 실행할 수 있는 보안 취약성

루비에서 서비스 거부 공격(DoS)를 일으키거나 임의의 코드를 실행할 수 있는 보안 취약점이 다수 발견되었습니다.

자세히 읽기

루비 1.8.7이 공개되었습니다.

Akinori MUSHA announced today that Ruby 1.8.7 has been released. 루비 1.8.7 버전이 공개되었습니다.

이 버전은 여러가지 버그를 수정하였고, 1.9버전으로부터 백포트된 기능 개선을 포함합니다. 그리고 1.8.6에 비해 약간의 성능 개선이 이뤄졌습니다. 하지만, 안정성이나 하위버전 호환성은 최대한 유지하였습니다. 하위 호환성 문제는 함께 포함된 문서를 참고하시기 바랍니다.

소스코드 패키지는 3가지 형태로 아래 주소에서 내려받을 수 있습니다.

  • ftp://ftp.ruby-online.co.uk/pub/ruby/1.8/ruby-1.8.7.tar.bz2
  • ftp://ftp.ruby-online.co.uk/pub/ruby/1.8/ruby-1.8.7.tar.gz
  • ftp://ftp.ruby-online.co.uk/pub/ruby/1.8/ruby-1.8.7.zip

변경사항은 NEWS와 ChangeLog 파일을 참고하세요

  • http://svn.ruby-online.co.uk/repos/ruby/tags/v1_8_7/NEWS
  • http://svn.ruby-online.co.uk/repos/ruby/tags/v1_8_7/ChangeLog

자세히 읽기

이전 뉴스

뉴스 더보기